de.esprit.netsuite.client.abo

## Class ABORecordTable<C extends ClientContext,T extends DBRecord>

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JTable
        - - de.esprit.common.gui.table.AbstractObjectTable<T>
          - - de.esprit.appsuite.database.dbgui.table.DBRecordTable<C,T>
            - - de.esprit.netsuite.client.abo.ABORecordTable<C,T>

- All Implemented Interfaces:
    ReorderEvent.Source, RecordCollection<T>, ApplicationObject<C>, Loadable, DataLoadEvent.Source, EnvStorable, Steppable, Clearable, Dumpable, ABOCollection<AliveBusinessObject>, ClientObject<C>, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.CellEditorListener, javax.swing.event.ListSelectionListener, javax.swing.event.RowSorterListener, javax.swing.event.TableColumnModelListener, javax.swing.event.TableModelListener, javax.swing.Scrollable

      public class ABORecordTable<C extends ClientContext,T extends DBRecord>
      extends DBRecordTable<C,T>
      implements ClientObject<C>, ABOCollection<AliveBusinessObject>

  This table just displays ABOs
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JTable

      `javax.swing.JTable.AccessibleJTable, javax.swing.JTable.DropLocation, javax.swing.JTable.PrintMode`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JTable

      `AUTO_RESIZE_ALL_COLUMNS, AUTO_RESIZE_LAST_COLUMN, AUTO_RESIZE_NEXT_COLUMN, AUTO_RESIZE_OFF, AUTO_RESIZE_SUBSEQUENT_COLUMNS, autoCreateColumnsFromModel, autoResizeMode, cellEditor, cellSelectionEnabled, columnModel, dataModel, defaultEditorsByColumnClass, defaultRenderersByColumnClass, editingColumn, editingRow, editorComp, gridColor, preferredViewportSize, rowHeight, rowMargin, rowSelectionAllowed, selectionBackground, selectionForeground, selectionModel, showHorizontalLines, showVerticalLines, tableHeader`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABORecordTable(ABORecordTableModel<C,T> model)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addABO(AliveBusinessObject abo)` Adds the ABO to the container
    `int` | `addABO(AliveBusinessObject abo, boolean isCurrent)`
    `AliveBusinessObject` | `getABO(int index)`
    `AbstractPersistentABO` | `getABOAt(int row)`
    `int` | `getABOCount()`
    `C` | `getClientContext()` Returns the the client runtime environment
    `ABORecordTableModel<C,T>` | `getModel()`
    `boolean` | `isNewABOAccepted(AliveBusinessObject abo)` Defines whether this type of ABOs is supposed to be displayed in this collection
    `boolean` | `isNewABOAutoInserted()` Defines whether automatic insertion of new ABOs, that have been created by other users, is desired.
    `void` | `removeABO(AliveBusinessObject abo)` Removes the ABO from the container

    - ### Methods inherited from class de.esprit.appsuite.database.dbgui.table.DBRecordTable

      `addRecord, addRecord, addReorderListener, configurePreferredDumpDialogRows, createCellRenderer, createHeaderRenderer, createNewRecord, deleteRow, editRecord, fireOrderChanged, getActionClearTable, getActionRecordCreate, getActionRecordDelete, getActionRecordEdit, getActionRecordRehash, getAllRecords, getApplicationContext, getMasterRecord, getParentRecord, getRecord, getRecord, getSelectedRecord, getSelectedRecords, indexOf, indexOf, isEditOnDoubleClick, load, load, makeRecordCreateDialog, makeRecordEditDialog, makeRecordTypeChooser, performDeleteRequest, performRehashRequest, removeRecord, removeRecord, removeReorderListener, removeSelectedRecord, replaceRecord, search, selectRecord, selectRecord, selectRecord, setEditOnDoubleClick, setParentRecord, setRecord`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTable

      `addActionListener, addDataLoadListener, addEnvProperties, addIndexChangeListener, addListSelectionListener, addObject, addObjects, addObjects, addTableModelListener, adjustSelection, clear, configurePreferredDumpDialogColumns, deleteObject, deleteRow, dropObject, dropObject, dropObject, dumpSelectedObject, first, getActionClearContent, getActionClearSelection, getActionDeleteSelectedRow, getActionDropSelectedRow, getActionDumpTableData, getActionLoadTableData, getActionRowDetails, getAllObjects, getCurrentIndex, getEnvKey, getObject, getPreferredScrollableViewportSize, getRecordCount, getSelectedIndex, getSelectedObject, getSelectedObjects, getSelectionModel, hasRangeSelected, hasSelection, indexOf, initFromEnvStore, isChangeConfirmed, isEmpty, isSelectionEmpty, isSortAscending, last, load, matchesTypedString, next, previous, removeActionListener, removeDataLoadListener, removeIndexChangeListener, removeListSelectionListener, removeTableModelListener, scrollToRow, selectObject, selectObject, selectRow, selectRow, setCurrentIndex, setHeaderRenderer, setObject, setSelectionMode, setSortAscending, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class javax.swing.JTable

      `addColumn, addColumnSelectionInterval, addNotify, addRowSelectionInterval, changeSelection, clearSelection, columnAdded, columnAtPoint, columnMarginChanged, columnMoved, columnRemoved, columnSelectionChanged, configureEnclosingScrollPane, convertColumnIndexToModel, convertColumnIndexToView, convertRowIndexToModel, convertRowIndexToView, createDefaultColumnModel, createDefaultColumnsFromModel, createDefaultDataModel, createDefaultEditors, createDefaultRenderers, createDefaultSelectionModel, createDefaultTableHeader, createScrollPaneForTable, doLayout, editCellAt, editCellAt, editingCanceled, editingStopped, getAccessibleContext, getAutoCreateColumnsFromModel, getAutoCreateRowSorter, getAutoResizeMode, getCellEditor, getCellEditor, getCellRect, getCellRenderer, getCellSelectionEnabled, getColumn, getColumnClass, getColumnCount, getColumnModel, getColumnName, getColumnSelectionAllowed, getDefaultEditor, getDefaultRenderer, getDragEnabled, getDropLocation, getDropMode, getEditingColumn, getEditingRow, getEditorComponent, getFillsViewportHeight, getGridColor, getIntercellSpacing, getPrintable, getRowCount, getRowHeight, getRowHeight, getRowMargin, getRowSelectionAllowed, getRowSorter, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedColumn, getSelectedColumnCount, getSelectedColumns, getSelectedRow, getSelectedRowCount, getSelectedRows, getSelectionBackground, getSelectionForeground, getShowHorizontalLines, getShowVerticalLines, getSurrendersFocusOnKeystroke, getTableHeader, getToolTipText, getUI, getUIClassID, getUpdateSelectionOnSort, getValueAt, initializeLocalVars, isCellEditable, isCellSelected, isColumnSelected, isEditing, isRowSelected, moveColumn, paramString, prepareEditor, prepareRenderer, print, print, print, print, print, processKeyBinding, removeColumn, removeColumnSelectionInterval, removeEditor, removeNotify, removeRowSelectionInterval, resizeAndRepaint, rowAtPoint, selectAll, setAutoCreateColumnsFromModel, setAutoCreateRowSorter, setAutoResizeMode, setCellEditor, setCellSelectionEnabled, setColumnModel, setColumnSelectionAllowed, setColumnSelectionInterval, setDefaultEditor, setDefaultRenderer, setDragEnabled, setDropMode, setEditingColumn, setEditingRow, setFillsViewportHeight, setGridColor, setIntercellSpacing, setModel, setPreferredScrollableViewportSize, setRowHeight, setRowHeight, setRowMargin, setRowSelectionAllowed, setRowSelectionInterval, setRowSorter, setSelectionBackground, setSelectionForeground, setSelectionMode, setSelectionModel, setShowGrid, setShowHorizontalLines, setShowVerticalLines, setSurrendersFocusOnKeystroke, setTableHeader, setUI, setUpdateSelectionOnSort, setValueAt, sizeColumnsToFit, sizeColumnsToFit, sorterChanged, tableChanged, unconfigureEnclosingScrollPane, updateUI, valueChanged`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Clearable

      `clear`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Loadable

      `load`

- - ### Constructor Detail

    - #### ABORecordTable

          public ABORecordTable(ABORecordTableModel<C,T> model)

  - ### Method Detail

    - #### getModel

          public ABORecordTableModel<C,T> getModel()

      Overrides:
        `getModel` in class `DBRecordTable<C extends ClientContext,T extends DBRecord>`

    - #### getABOAt

          public AbstractPersistentABO getABOAt(int row)

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### addABO

          public int addABO(AliveBusinessObject abo)

      Description copied from interface: `ABOCollection`
      Adds the ABO to the container
      Specified by:
        `addABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### addABO

          public int addABO(AliveBusinessObject abo,
                   boolean isCurrent)

      Specified by:
        `addABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### removeABO

          public void removeABO(AliveBusinessObject abo)

      Description copied from interface: `ABOCollection`
      Removes the ABO from the container
      Specified by:
        `removeABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### getABO

          public AliveBusinessObject getABO(int index)

      Specified by:
        `getABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### getABOCount

          public int getABOCount()

      Specified by:
        `getABOCount` in interface `ABOCollection<AliveBusinessObject>`

    - #### isNewABOAccepted

          public boolean isNewABOAccepted(AliveBusinessObject abo)

      Description copied from interface: `ABOCollection`
      Defines whether this type of ABOs is supposed to be displayed in this collection
      Specified by:
        `isNewABOAccepted` in interface `ABOCollection<AliveBusinessObject>`

    - #### isNewABOAutoInserted

          public boolean isNewABOAutoInserted()

      Description copied from interface: `ABOCollection`
      Defines whether automatic insertion of new ABOs, that have been created by other users, is desired. If the ABO was created by me, it will always be inserted into the collection.
      Specified by:
        `isNewABOAutoInserted` in interface `ABOCollection<AliveBusinessObject>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.